Menu

## Footnotes_Template

template.php : 19

Handles each Template file for the Plugin Frontend (e.g. Settings Dashboard, Public pages, ...).

Loads a template file, replaces all Placeholders and returns the replaced file content.

##### Tags

since
  1.5.0

### Table of Contents

C_STR_DASHBOARD = 'dashboard'
  Directory name for dashboard templates.
C_STR_PUBLIC = 'public'
  Directory name for public templates.
$plugin_directory : string
  Plugin Directory
$a_str_original_content : string
  Contains the content of the template after initialize.
$a_str_replaced_content : string
  Contains the content of the template after initialize with replaced place holders.
__construct() : mixed
  Class Constructor. Reads and loads the template file without replace any placeholder.
get_content() : string
  Returns the content of the template file with replaced placeholders.
get_template() : mixed
  Get the template.
process_template() : void
  Process template file.
reload() : mixed
  Reloads the original content of the template file.
replace() : bool
  Replace all placeholders specified in array.

### Constants

#### C_STR_DASHBOARD

template.php : 27

Directory name for dashboard templates.

`public string C_STR_DASHBOARD = 'dashboard'`

##### Tags

since
  1.5.0

#### C_STR_PUBLIC

template.php : 35

Directory name for public templates.

`public string C_STR_PUBLIC = 'public'`

##### Tags

since
  1.5.0

### Properties

#### $plugin_directory

template.php : 60

Plugin Directory

`public string $plugin_directory`

##### Tags

since
  2.4.0d3

#### $a_str_original_content

template.php : 43

Contains the content of the template after initialize.

`private string $a_str_original_content = ''`

##### Tags

since
  1.5.0

#### $a_str_replaced_content

template.php : 51

Contains the content of the template after initialize with replaced place holders.

`private string $a_str_replaced_content = ''`

##### Tags

since
  1.5.0

### Methods

#### __construct()

template.php : 77

Class Constructor. Reads and loads the template file without replace any placeholder.

`public __construct(string $p_str_file_type, string $p_str_file_name[, string $p_str_extension = 'html' ]) : mixed`

##### Parameters

$p_str_file_type : string

  Template file type (take a look on the Class constants).

$p_str_file_name : string

  Template file name inside the Template directory without the file extension.

$p_str_extension : string = 'html'

  Optional Template file extension (default: html).

  - Adding: Templates: support for custom templates in sibling folder, thanks to @misfist issue report.

##### Tags

since
  1.5.0
since
  2.2.6
reporter

  @misfist

link
  https://wordpress.org/support/topic/template-override-filter/

##### Return values

mixed —

#### get_content()

template.php : 143

Returns the content of the template file with replaced placeholders.

`public get_content() : string`

##### Tags

since
  1.5.0

##### Return values

string —

Template content with replaced placeholders.

#### get_template()

template.php : 190

Get the template.

`public get_template(string $p_str_file_type, string $p_str_file_name[, string $p_str_extension = 'html' ]) : mixed`

- Adding: Templates: Enable template location stack, thanks to @misfist issue report and code contribution.

##### Parameters

$p_str_file_type : string

  The file type of the template.

$p_str_file_name : string

  The file name of the template.

$p_str_extension : string = 'html'

  The file extension of the template.

##### Tags

since
  2.4.0d3

  Contribution.

since
  2.5.0

  Release.

contributor

  @misfist

link
  https://wordpress.org/support/topic/template-override-filter/#post-13864301

##### Return values

mixed —

false | template path

#### process_template()

template.php : 161

Process template file.

`public process_template(string $template) : void`

##### Parameters

$template : string

  The template to be processed.

##### Tags

since
  2.4.0d3
since
  2.0.3

  Replace tab with a space.

since
  2.0.3

  Replace 2 spaces with 1.

since
  2.0.4

  Collapse multiple spaces.

since
  2.2.6

  Delete a space before a closing pointy bracket.

since
  2.5.4

  Collapse HTML comments and PHP/JS docblocks (only).

##### Return values

void —

#### reload()

template.php : 133

Reloads the original content of the template file.

`public reload() : mixed`

##### Tags

since
  1.5.0

##### Return values

mixed —

#### replace()

template.php : 111

Replace all placeholders specified in array.

`public replace(array<string|int, mixed> $p_arr_placeholders) : bool`

##### Parameters

$p_arr_placeholders : array<string|int, mixed>

  Placeholders (key = placeholder, value = value).

##### Tags

since
  1.5.0

##### Return values

bool —

True on Success, False if Placeholders invalid.

## Search results